# Class VulkanPipelineMultisampleStateCreateInfo.Builder

java.lang.Object
com.io7m.jcoronado.api.VulkanPipelineMultisampleStateCreateInfo.Builder

Enclosing class:
  `VulkanPipelineMultisampleStateCreateInfo`

public static final class VulkanPipelineMultisampleStateCreateInfo.Builder extends Object
Builds instances of type `VulkanPipelineMultisampleStateCreateInfo`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final VulkanPipelineMultisampleStateCreateInfo.Builder`
  `addAllFlags(Iterable<VulkanPipelineMultisampleStateCreateFlag> elements)`
  Adds elements to `flags` set.
  `final VulkanPipelineMultisampleStateCreateInfo.Builder`
  `addFlags(VulkanPipelineMultisampleStateCreateFlag element)`
  Adds one element to `flags` set.
  `final VulkanPipelineMultisampleStateCreateInfo.Builder`
  `addFlags(VulkanPipelineMultisampleStateCreateFlag... elements)`
  Adds elements to `flags` set.
  `VulkanPipelineMultisampleStateCreateInfo`
  `build()`
  Builds a new `VulkanPipelineMultisampleStateCreateInfo`.
  `final VulkanPipelineMultisampleStateCreateInfo.Builder`
  `from(VulkanPipelineMultisampleStateCreateInfoType instance)`
  Fill a builder with attribute values from the provided `VulkanPipelineMultisampleStateCreateInfoType` instance.
  `final VulkanPipelineMultisampleStateCreateInfo.Builder`
  `setAlphaToCoverageEnable(boolean alphaToCoverageEnable)`
  Initializes the value for the `alphaToCoverageEnable` attribute.
  `final VulkanPipelineMultisampleStateCreateInfo.Builder`
  `setAlphaToOneEnable(boolean alphaToOneEnable)`
  Initializes the value for the `alphaToOneEnable` attribute.
  `final VulkanPipelineMultisampleStateCreateInfo.Builder`
  `setFlags(Iterable<VulkanPipelineMultisampleStateCreateFlag> elements)`
  Sets or replaces all elements for `flags` set.
  `final VulkanPipelineMultisampleStateCreateInfo.Builder`
  `setMinSampleShading(float minSampleShading)`
  Initializes the value for the `minSampleShading` attribute.
  `final VulkanPipelineMultisampleStateCreateInfo.Builder`
  `setRasterizationSamples(VulkanSampleCountFlag rasterizationSamples)`
  Initializes the value for the `rasterizationSamples` attribute.
  `final VulkanPipelineMultisampleStateCreateInfo.Builder`
  `setSampleMask(int[] sampleMask)`
  Initializes the optional value `sampleMask` to sampleMask.
  `final VulkanPipelineMultisampleStateCreateInfo.Builder`
  `setSampleMask(Optional<? extends int[]> sampleMask)`
  Initializes the optional value `sampleMask` to sampleMask.
  `final VulkanPipelineMultisampleStateCreateInfo.Builder`
  `setSampleShadingEnable(boolean sampleShadingEnable)`
  Initializes the value for the `sampleShadingEnable` attribute.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final VulkanPipelineMultisampleStateCreateInfo.Builder from(VulkanPipelineMultisampleStateCreateInfoType instance)
    Fill a builder with attribute values from the provided `VulkanPipelineMultisampleStateCreateInfoType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values. Collection elements and entries will be added, not replaced.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### addFlags

    public final VulkanPipelineMultisampleStateCreateInfo.Builder addFlags(VulkanPipelineMultisampleStateCreateFlag element)
    Adds one element to `flags` set.
    Parameters:
      `element` - A flags element
    Returns:
      `this` builder for use in a chained invocation

  - ### addFlags

    public final VulkanPipelineMultisampleStateCreateInfo.Builder addFlags(VulkanPipelineMultisampleStateCreateFlag... elements)
    Adds elements to `flags` set.
    Parameters:
      `elements` - An array of flags elements
    Returns:
      `this` builder for use in a chained invocation

  - ### setFlags

    public final VulkanPipelineMultisampleStateCreateInfo.Builder setFlags(Iterable<VulkanPipelineMultisampleStateCreateFlag> elements)
    Sets or replaces all elements for `flags` set.
    Parameters:
      `elements` - An iterable of flags elements
    Returns:
      `this` builder for use in a chained invocation

  - ### addAllFlags

    public final VulkanPipelineMultisampleStateCreateInfo.Builder addAllFlags(Iterable<VulkanPipelineMultisampleStateCreateFlag> elements)
    Adds elements to `flags` set.
    Parameters:
      `elements` - An iterable of flags elements
    Returns:
      `this` builder for use in a chained invocation

  - ### setRasterizationSamples

    public final VulkanPipelineMultisampleStateCreateInfo.Builder setRasterizationSamples(VulkanSampleCountFlag rasterizationSamples)
    Initializes the value for the `rasterizationSamples` attribute.

    If not set, this attribute will have a default value as returned by the initializer of `rasterizationSamples`.

    Parameters:
      `rasterizationSamples` - The value for rasterizationSamples
    Returns:
      `this` builder for use in a chained invocation

  - ### setSampleShadingEnable

    public final VulkanPipelineMultisampleStateCreateInfo.Builder setSampleShadingEnable(boolean sampleShadingEnable)
    Initializes the value for the `sampleShadingEnable` attribute.

    If not set, this attribute will have a default value as returned by the initializer of `sampleShadingEnable`.

    Parameters:
      `sampleShadingEnable` - The value for sampleShadingEnable
    Returns:
      `this` builder for use in a chained invocation

  - ### setMinSampleShading

    public final VulkanPipelineMultisampleStateCreateInfo.Builder setMinSampleShading(float minSampleShading)
    Initializes the value for the `minSampleShading` attribute.

    If not set, this attribute will have a default value as returned by the initializer of `minSampleShading`.

    Parameters:
      `minSampleShading` - The value for minSampleShading
    Returns:
      `this` builder for use in a chained invocation

  - ### setSampleMask

    public final VulkanPipelineMultisampleStateCreateInfo.Builder setSampleMask(int[] sampleMask)
    Initializes the optional value `sampleMask` to sampleMask.
    Parameters:
      `sampleMask` - The value for sampleMask
    Returns:
      `this` builder for chained invocation

  - ### setSampleMask

    public final VulkanPipelineMultisampleStateCreateInfo.Builder setSampleMask(Optional<? extends int[]> sampleMask)
    Initializes the optional value `sampleMask` to sampleMask.
    Parameters:
      `sampleMask` - The value for sampleMask
    Returns:
      `this` builder for use in a chained invocation

  - ### setAlphaToCoverageEnable

    public final VulkanPipelineMultisampleStateCreateInfo.Builder setAlphaToCoverageEnable(boolean alphaToCoverageEnable)
    Initializes the value for the `alphaToCoverageEnable` attribute.

    If not set, this attribute will have a default value as returned by the initializer of `alphaToCoverageEnable`.

    Parameters:
      `alphaToCoverageEnable` - The value for alphaToCoverageEnable
    Returns:
      `this` builder for use in a chained invocation

  - ### setAlphaToOneEnable

    public final VulkanPipelineMultisampleStateCreateInfo.Builder setAlphaToOneEnable(boolean alphaToOneEnable)
    Initializes the value for the `alphaToOneEnable` attribute.

    If not set, this attribute will have a default value as returned by the initializer of `alphaToOneEnable`.

    Parameters:
      `alphaToOneEnable` - The value for alphaToOneEnable
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public VulkanPipelineMultisampleStateCreateInfo build()
    Builds a new `VulkanPipelineMultisampleStateCreateInfo`.
    Returns:
      An immutable instance of VulkanPipelineMultisampleStateCreateInfo
    Throws:
      `IllegalStateException` - if any required attributes are missing